### Method

# Clutter TextBuffer set_max_length

#### Declaration [src]

    void
    clutter_text_buffer_set_max_length (
      ClutterTextBuffer* buffer,
      gint max_length
    )

#### Description [src]

Sets the maximum allowed length of the contents of the buffer.

If the current contents are longer than the given length, then they will be truncated to fit.

Sets property | `Clutter.TextBuffer:max-length`

#### Parameters

`max_length`

  Type: `gint`

  The maximum length of the entry buffer, or 0 for no maximum. (other than the maximum length of entries.) The value passed in will be clamped to the range [ 0, `CLUTTER_TEXT_BUFFER_MAX_SIZE` ].